﻿using System.Windows;
using Infragistics.Controls.Grids;

namespace SpreadsheetMinimalPrototype
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			spreadSheet.WorkbookDirtied += OnWorkbookDirtied;
			spreadSheet.EditModeExiting += OnEditModeExiting;
		}

		private void OnEditModeExiting(object sender, SpreadsheetEditModeExitingEventArgs e)
		{
			SaveEditModeExiting.IsEnabled = true;
		}

		private void OnWorkbookDirtied(object sender, SpreadsheetWorkbookDirtiedEventArgs e)
		{
			SaveWorkbookDirtied.IsEnabled = true;
		}

		private void Reset_OnClick(object sender, RoutedEventArgs e)
		{
			SaveEditModeExiting.IsEnabled = false;
			SaveWorkbookDirtied.IsEnabled = false;
		}
	}
}
